- job:
    name: leg-kolla-train-ldc
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-discover
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    parameters:
        - string:
            name: DEVCLOUD
            default: '1'
            description: 'build images for developer cloud'
        - string:
            name: DEVCLOUD_EXTRA_PATCHES
            default: ''
            description: "comma separated list of patch commit ids to apply to the ldc branch not merged into stable/train"
        - string:
            name: BRANCH
            default: 'stable/train'
            description: 'branch to use'
        - string:
            name: THREADS_OPT
            default: '24'
            description: 'number of threads (default: 24)'
        - string:
            name: RETRIES_OPT
            default: '3'
            description: 'number of retries (default: 3)'
    disabled: true
    node: leg-aarch64
    concurrent: false
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
    builders:
        - shell:
            !include-raw: leg-kolla/build.sh
        - linaro-publish-token
        - shell:
            !include-raw: leg-kolla/publishers.sh
        - trigger-builds:
            - project:
                - 'leg-kolla-push-images'
              property-file: "push.parameters"
    publishers:
        - archive:
            artifacts: 'push.parameters'
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org kevin.zhao@linaro.org riku.voipio@linaro.org fathi.boudra@linaro.org ldcg-team@linaro.org'
